<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Vendors are waiting for verify</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <h1>Vendor contact information</h1>
</div>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <table class="table">
        <thead>
        <tr>
            <th scope="col">Name</th>
            <th scope="col">Phone</th>
            <th scope="col">Email</th>
            <th scope="col">Verify</th>
            <th scope="col">Cancel</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="vendor : ${vendors}">
            <td th:text="${vendor.name}"></td>
            <td th:text="${vendor.phone}"></td>
            <td th:text="${vendor.email}"></td>

            <td>
                <form th:method="POST" th:action="@{'/verify/' + ${vendor.id}}" th:object="${vendor}">
                    <input type="submit" class="btn btn-success btn-block" value="Verify"></form>
            </td>
            <td>
                <form th:method="POST" th:action="@{'/cancel/' + ${vendor.id}}" th:object="${vendor}">
                    <input type="submit" class="btn btn-danger btn-block" value="Cancel">
                </form>
            </td>
        </tr>
        </tbody>
    </table>
</div>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>